Bug 248789 - gnome-ssh-askpass breaks on spurious standard output data
gnome-ssh-askpass breaks on spurious standard output data
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-18 15:42 EDT by Simon Goodall
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.10.14-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-31 18:56:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Goodall 2007-07-18 15:42:13 EDT
Description of problem:
I've recently had trouble using gnome-ssh-askpass. I would enter the correct
password, but it still would not unlock the keyring. I have tracked down the
problem to the way the password is passed back into ssh-add. If any other text
is outputted over the standard out, then this also used as the password.

In particular I had a corrupt icon-theme.cache file causing "bad string content"
to be printed to the standard out several times before the password is printed.

Removing the file fixed my instance of this problem, but I imagine there are
other cases where extra standard output could appear triggering this issue.

Version-Release number of selected component (if applicable):
openssh-askpass-4.5p1-6.fc7

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Tomas Mraz 2007-07-18 15:56:51 EDT
I'm sorry but this is a limitation of what the ssh-askpass binaries work and it
is impossible to change this.

Perhaps gtk library should never print things on stdout just on stderr?
Comment 2 Matthias Clasen 2007-07-24 22:51:27 EDT
I've put a fix for this into updates-testing.
Comment 3 Fedora Update System 2007-07-25 01:09:29 EDT
gtk2-2.10.14-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-07-31 18:56:00 EDT
gtk2-2.10.14-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.